.main-article {
  width: 100%;
  display: flex;
  flex-direction: column;
  align-items: center;
}

.main-article .article-main-container {
  width: 100%;
  display: flex;
  flex-wrap: wrap;
  column-gap: var(--general-container-gap);
}

.main-article .article-main-container.no-menu {
  flex-wrap: nowrap;
  flex-direction: column;
}

.main-article .block1 {
  width: 100%;
  display: flex;
}

.main-article .block2 {
  width: 250px;
  display: flex;
  flex-direction: column;
}

.main-article .block3 {
  width: calc(100% - 250px - 100px);
  display: flex;
  flex-direction: column;
}

.main-article .article-main-container.no-menu .block3 {
  width: 100%;
}

.main-article .com-content-article__body {
  width: 100%;
  display: flex;
  flex-direction: column;
  gap: var(--space-80);
}

.main-article .com-content-article__body.com-content-aritcle__body--default {
  gap: var(--space-80);
}

.main-article .com-content-article__body.sustainable-development {
  gap: 10px;
}

.main-article
  .com-content-article__body.sustainable-development
  .iblock-container:not(:first-child) {
  margin-top: 70px;
}

.com-content-article__body h1 {
  color: var(--blue-900, #081a28);
  font-feature-settings:
    "liga" off,
    "clig" off;
  font-family: var(--ff-primary);
  font-size: var(--fs-heading-1, 42px);
  font-style: normal;
  font-weight: var(--fw-400, 400);
  line-height: var(--lh-36, 36px);
}

.com-content-article__body.com-content-article__body--default h1 {
  --fs-heading-1: var(--fs-28, 28px);
  font-size: var(--fs-heading-1);
  font-weight: var(--fw-700, 700);
}

.com-content-article__body h2 {
  color: var(--blue-900, #081a28);
  font-feature-settings:
    "liga" off,
    "clig" off;
  font-family: var(--ff-primary);
  font-size: var(--fs-heading-2, 32px);
  font-style: normal;
  font-weight: var(--fw-700, 700);
  line-height: var(--lh-36, 36px);
  margin-bottom: var(--space-24, 24px);
}

.com-content-article__body.com-content-article__body--default h2 {
  --fs-heading-2: var(--fs-24, 24px);
  font-size: var(--fs-heading-2);
  line-height: var(--lh-30, 30px);
}

.com-content-article__body h3 {
  color: var(--blue-900, #081a28);
  font-feature-settings:
    "liga" off,
    "clig" off;
  font-family: var(--ff-primary);
  font-size: var(--fs-heading-3, 32px);
  font-style: normal;
  font-weight: var(--fw-700, 700);
  line-height: var(--lh-36, 36px);
  margin-bottom: var(--space-24, 24px);
}

.com-content-article__body.com-content-article__body--default h3 {
  --fs-heading-3: var(--fs-22, 22px);
  font-size: var(--fs-heading-3);
  font-style: normal;
  font-weight: var(--fw-700, 700);
  line-height: var(--lh-36, 36px);
  margin-bottom: var(--space-22, 22px);
}

.com-content-article_body.com.com-content-article__body--default p {
  line-height: var(--lh-24, 24px);
  margin-top: var(--space-2);
  margin-bottom: var(--space-2);
}

.com-content-article__body a:link,
.com-content-article__body a:visited,
.com-content-article__body a:link p,
.com-content-article__body a:visited p {
  /* display: inline-block; */
  color: var(--link-color, #1a4f7a);
  font-feature-settings:
    "liga" off,
    "clig" off;
  font-family: var(--ff-primary);
  font-size: var(--fs-link, 16px);
  font-style: normal;
  font-weight: var(--fw-400, 400);
  line-height: var(--lh-24, 24px);
  text-decoration-line: underline;
  text-decoration-style: solid;
  text-decoration-skip-ink: none;
  text-decoration-thickness: 6%;
  text-underline-offset: 16%;
  text-underline-position: from-font;
  text-decoration-color: var(--link-color, #1a4f7a);
  transition: all 0.3s;
}

.com-content-article__body a:hover,
.com-content-article__body a:active,
.com-content-article__body a:focus,
.com-content-article__body a:hover p,
.com-content-article__body a:active p,
.com-content-article__body a:focus p {
  color: var(--link-color-hover, #1672a3);
  text-decoration-color: var(--link-color-hover, #1672a3);
}

.com-content-article__body .button,
.com-content-article__body .button:link,
.com-content-article__body .button:visited {
  all: unset;
  border: none;
  outline: none;
  cursor: pointer;
  background: none;
  display: inline-flex;
  align-items: center;
  justify-content: center;
  gap: var(--space-10, 10px);
  padding: var(--space-16, 16px) var(--space-28, 28px) !important;
  border-radius: 4px;
  text-align: center;
  font-feature-settings:
    "liga" off,
    "clig" off;
  font-family: var(--ff-primary);
  font-size: var(--fs-16, 16px);
  font-style: normal;
  font-weight: var(--fw-600, 600);
  line-height: var(--lh-24, 24px);
  opacity: 1 !important;

  transition: all 0.3s ease-in-out;
}

.com-content-article__body .button.button--primary,
.com-content-article__body .button.button--primary:link,
.com-content-article__body .button.button--primary:visited {
  background: var(--green-500);
  color: var(--white-500, #fff);
}

.com-content-article__body .button.button--primary:hover,
.com-content-article__body .button.button--primary:active,
.com-content-article__body .button.button--primary:focus {
  background: var(--link-color);
}

.com-content-article__body .button.button--secondary,
.com-content-article__body .button.button--secondary:link,
.com-content-article__body .button.button-secondary:visited {
  background: var(--white-600, #f7f7f7);
  color: var(--blue-900, #081a28);
}

.com-content-article__body .button.button--secondary:hover,
.com-content-article__body .button.button--secondary:active,
.com-content-article__body .button.button--secondary:focus {
  background: var(--blue-550, #1c5686);
  color: var(--white-500, #fff);
}

.com-content-article__body .table-wrapper {
  width: 100%;
  display: flex;
  overflow-x: auto;

position: relative;
}

.com-content-article__body table {
  min-width: 600px;
  height: auto !important;
  border-collapse: collapse;
  position: relative;
}

.com-content-article__body .table-wrapper.isOverflowing table {
    margin-top: 30px;
}

.com-content-article__body .table-wrapper.isOverflowing table::before {
    content: "Przewiń w poziomie, aby wyświetlić całą tabelę";
    height: 14px;
    width: 100%;
    display: block;
    font-size: 10px;
    margin-top: -30px;
    margin-bottom: 10px;

    color: var(--blue-900, #081a28);


    position: absolute;
    top: 0;
    left: 0;
}

.com-content-article__body th,
.com-content-article__body td {
  border: 1px solid var(--blue-stroke-500, #1c567c);
  padding: var(--space-6) var(--space-8);
}

.com-content-article__body ul,
.com-content-article__body ol {
  padding-left: var(--space-24);
  display: flex;
  flex-direction: column;
  gap: var(--space-6);
  margin: var(--space-6) var(--space-0);
}

.com-content-article__body ul li,
.com-content-article__body ol li {
  font-feature-settings:
    "liga" off,
    "clig" off;
  font-family: var(--ff-primary);
  font-size: var(--fs-16, 16px);
  font-style: normal;
  font-weight: var(--fw-400, 400);
  line-height: var(--lh-24, 24px);
}

.com-content-article__body ul li::marker,
.com-content-article__body ol li::marker {
  color: var(--link-color);
}

.com-content-article__body ul ul {
  list-style-type: disc;
}

.com-content-article__body ul ul li::marker {
  color: var(--link-color);
}

.com-content-article__body .signature-with-photo {
  display: flex;
  gap: var(--space-20);
}

.com-content-article__body .signature-with-photo img {
  max-height: 245px;
}

.com-content-article__body
  button:not(.udt-accordion-header):not(.afl-module-header):not(
    .afl-dropdown-header
  ):not(.notifybar__button):not(.splide__arrow):not(.cf-btn) {
  cursor: pointer;
  display: flex;
  justify-content: center;
  align-items: center;
  padding: var(--space-10, 10px) var(--space-28, 28px);
  width: max-content;
  border-radius: 4px;
  background: var(--green-500, #04853b);
  color: var(--white-500, #fff);
  font-feature-settings:
    "liga" off,
    "clig" off;
  font-family: var(--ff-primary);
  font-size: var(--fs-16, 16px);
  font-style: normal;
  font-weight: var(--fw-600, 600);
  line-height: var(--lh-24, 24px);
  background-size: unset;
  background-position: unset;
  margin: var(--space-5) 0;
  box-shadow: var(--shadow-button);
  transition: 0.3s all ease-in-out;
}

.com-content-article__body button:not(.udt-accordion-header):hover {
  box-shadow: var(--shadow-button-hover);

  background-size: unset;
}

@media (max-width: 1350px) {
  .main-article .article-main-container {
    column-gap: var(--space-50, 50px);
  }

  .main-article .block3 {
    width: calc(100% - 250px - 50px);
  }
}

@media (max-width: 1280px) {
  .main-article .block1 {
    order: 2;
  }

  .main-article .block2 {
    width: 100%;
    order: 1;
  }

  .main-article .block3 {
    width: 100%;
    order: 3;
  }
}

@media (max-width: 800px) {
  .main-article .com-content-article__body.com-content-aritcle__body--default {
    gap: var(--space-70, 70px);
  }

  .com-content-article__body.com-content-aritcle__body--default h2 {
    font-size: var(--fs-22, 22px);
    line-height: var(--lh-28, 28px);
  }

  .com-content-article__body.com-content-aritcle__body--default h3 {
    font-size: var(--fs-20, 20px);
    line-height: var(--lh-26px, 26px);
  }

  .com-content-article__body--default .signature-with-photo {
    flex-direction: column;
  }

  .main-article .com-content-article__body.sustainable-development {
    gap: 40px;
  }

  .main-article
    .com-content-article__body.sustainable-development
    .iblock-container:not(:first-child) {
    margin-top: 30px;
  }
}


@media (max-width: 500px) {
  .main-article .com-content-article__body.com-content-aritcle__body--default {
    gap: var(--space-60, 60px);
  }

  .com-content-article__body.com-content-aritcle__body--default h2 {
    font-size: var(--fs-20, 20px);
    line-height: var(--lh-25, 25px);
  }

  .com-content-article__body.com-content-aritcle__body--default h3 {
    font-size: var(--fs-18, 18px);
    line-height: var(--fs-23, 23px);
  }
}
